4 Replies - 754 Views - Last Post: 08 February 2022 - 04:08 PM

#1 sayhello   User is offline

  • D.I.C Regular

Reputation: 8
  • View blog
  • Posts: 442
  • Joined: 12-November 17

issues in updating a mx-linux system

Posted 25 January 2022 - 05:42 PM



Dear community dear modi_1_23
dear all,

first of all i hope youre fine and all goes well.


i have some issues in the Update of a mx-linux system




Passwort:
[email protected]:/home/martin# apt list --upgradable
Auflistung... Fertig
bind9-host/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
djvulibre-bin/oldstable 3.5.27.1-10+deb10u1 amd64 [aktualisierbar von: 3.5.27.1-10]
dnsutils/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
firefox/mx 96.0.1~mozillabinaries-1mx19+1 amd64 [aktualisierbar von: 93.0~mozillabinaries-1mx19+1]
ghostscript-x/oldstable 9.27~dfsg-2+deb10u5 amd64 [aktualisierbar von: 9.27~dfsg-2+deb10u4]
ghostscript/oldstable 9.27~dfsg-2+deb10u5 amd64 [aktualisierbar von: 9.27~dfsg-2+deb10u4]
gir1.2-javascriptcoregtk-4.0/oldstable 2.34.3-1~deb10u1 amd64 [aktualisierbar von: 2.32.4-1~deb10u1]
gir1.2-webkit2-4.0/oldstable 2.34.3-1~deb10u1 amd64 [aktualisierbar von: 2.32.4-1~deb10u1]
libbind9-161/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libdjvulibre-text/oldstable,oldstable 3.5.27.1-10+deb10u1 all [aktualisierbar von: 3.5.27.1-10]
libdjvulibre21/oldstable 3.5.27.1-10+deb10u1 amd64 [aktualisierbar von: 3.5.27.1-10]
libdns-export1104/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libdns1104/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libgs9-common/oldstable,oldstable 9.27~dfsg-2+deb10u5 all [aktualisierbar von: 9.27~dfsg-2+deb10u4]
libgs9/oldstable 9.27~dfsg-2+deb10u5 amd64 [aktualisierbar von: 9.27~dfsg-2+deb10u4]
libhttp-parser2.8/oldstable-updates 2.8.1-1+deb10u2 amd64 [aktualisierbar von: 2.8.1-1+deb10u1]
libicu63/oldstable 63.1-6+deb10u2 amd64 [aktualisierbar von: 63.1-6+deb10u1]
libirs161/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libisc-export1100/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libisc1100/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libisccc161/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libisccfg163/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libjavascriptcoregtk-4.0-18/oldstable 2.34.3-1~deb10u1 amd64 [aktualisierbar von: 2.32.4-1~deb10u1]
liblwres161/oldstable 1:9.11.5.P4+dfsg-5.1+deb10u6 amd64 [aktualisierbar von: 1:9.11.5.P4+dfsg-5.1+deb10u5]
libnss3/oldstable 2:3.42.1-1+deb10u4 amd64 [aktualisierbar von: 2:3.42.1-1+deb10u3]
libpq5/oldstable 11.14-0+deb10u1 amd64 [aktualisierbar von: 11.13-0+deb10u1]
libsmbclient/oldstable 2:4.9.5+dfsg-5+deb10u2 amd64 [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
libtiff-tools/oldstable 4.1.0+git191117-2~deb10u3 amd64 [aktualisierbar von: 4.1.0+git191117-2~deb10u2]
libtiff5/oldstable 4.1.0+git191117-2~deb10u3 amd64 [aktualisierbar von: 4.1.0+git191117-2~deb10u2]
libwbclient0/oldstable 2:4.9.5+dfsg-5+deb10u2 amd64 [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
libwebkit2gtk-4.0-37/oldstable 2.34.3-1~deb10u1 amd64 [aktualisierbar von: 2.32.4-1~deb10u1]
linux-kbuild-5.10/mx 5.10.92-1~mx19+1 amd64 [aktualisierbar von: 5.10.70-1~mx19+1]
linux-libc-dev/mx 5.15.5-1~mx19+1 amd64 [aktualisierbar von: 5.14.12-1~mx19+1]
lo-main-helper/mx,mx 21.08.8mx19 all [aktualisierbar von: 21.08.5mx19]
mx-conky-data/mx,mx 20211226 all [aktualisierbar von: 20210301mx21]
mx-datetime/mx 21.11 amd64 [aktualisierbar von: 21.9]
mx-live-usb-maker/mx 22.1.01 amd64 [aktualisierbar von: 21.7]
mx-packageinstaller-pkglist/mx,mx 21.08.8mx19 all [aktualisierbar von: 21.08.5mx19]
mx-repo-list/mx,mx 21.12.02 all [aktualisierbar von: 21.7]
mx-tools/mx 21.11 amd64 [aktualisierbar von: 21.8.02]
mx-user/mx 21.12 amd64 [aktualisierbar von: 21.5]
mx-welcome-data/mx,mx 21.10.02mx19 all [aktualisierbar von: 20.10.02]
mx-welcome/mx 22.01.02 amd64 [aktualisierbar von: 20.07.01]
openjdk-11-jre-headless/oldstable 11.0.14+9-1~deb10u1 amd64 [aktualisierbar von: 11.0.12+7-2~deb10u1]
openjdk-11-jre/oldstable 11.0.14+9-1~deb10u1 amd64 [aktualisierbar von: 11.0.12+7-2~deb10u1]
python-samba/oldstable 2:4.9.5+dfsg-5+deb10u2 amd64 [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
python3-lxml/oldstable 4.3.2-1+deb10u4 amd64 [aktualisierbar von: 4.3.2-1+deb10u3]
python3-pil/oldstable 5.4.1-2+deb10u3 amd64 [aktualisierbar von: 5.4.1-2+deb10u2]
samba-common-bin/oldstable 2:4.9.5+dfsg-5+deb10u2 amd64 [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
samba-common/oldstable,oldstable 2:4.9.5+dfsg-5+deb10u2 all [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
samba-libs/oldstable 2:4.9.5+dfsg-5+deb10u2 amd64 [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
samba/oldstable 2:4.9.5+dfsg-5+deb10u2 amd64 [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
smbclient/oldstable 2:4.9.5+dfsg-5+deb10u2 amd64 [aktualisierbar von: 2:4.9.5+dfsg-5+deb10u1]
smxi-inxi-antix/mx,mx 0.4.22 all [aktualisierbar von: 0.4.21mx19+1]
vivaldi-stable/stable 5.0.2497.48-1 amd64 [aktualisierbar von: 4.3.2439.56-1]
[email protected]:/home/martin# sudo apt update
Holen:1 http://deb.debian.org/debian buster-updates InRelease [51,9 kB]
Holen:2 http://ftp.halifax.rwth-aachen.de/mxlinux/packages/mx/repo buster InRelease [19,9 kB]
OK:3 http://deb.debian.org/debian buster InRelease                                           
Ign:4 http://repo.vivaldi.com/stable/deb stable InRelease
Holen:5 http://deb.debian.org/debian-security buster/updates InRelease [65,4 kB]
OK:6 http://repo.vivaldi.com/stable/deb stable Release
Holen:7 http://ftp.halifax.rwth-aachen.de/mxlinux/packages/mx/repo buster/main amd64 Packages [443 kB]
Holen:9 http://ftp.halifax.rwth-aachen.de/mxlinux/packages/mx/repo buster/main i386 Packages [436 kB]
Holen:10 http://deb.debian.org/debian-security buster/updates/main amd64 Packages [313 kB]
Holen:11 http://ftp.halifax.rwth-aachen.de/mxlinux/packages/mx/repo buster/main amd64 Contents (deb) [3.366 kB]
Holen:12 http://deb.debian.org/debian-security buster/updates/main i386 Packages [312 kB]         
Holen:13 http://deb.debian.org/debian-security buster/updates/main Translation-en [169 kB]
Holen:14 http://ftp.halifax.rwth-aachen.de/mxlinux/packages/mx/repo buster/main i386 Contents (deb) [3.356 kB]
Es wurden 8.532 kB in 8 s geholt (1.127 kB/s).                                                                           
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Aktualisierung für 59 Pakete verfügbar. Führen Sie »apt list --upgradable« aus, um sie anzuzeigen.
N: Das Laden der konfigurierten Datei »main/binary-i386/Packages« wird übersprungen, da das Depot »http://repo.vivaldi.com/stable/deb stable InRelease« die Architektur »i386« nicht unterstützt.
[email protected]:/home/martin#






well i got stuck - i guess that i need to correct the Vivaldi-sources


from
deb http://repo.vivaldi.com/stable/deb stable

to

deb [arch=amd64] http://repo.vivaldi.com/stable/deb stable

or so...!?



Look forward to hear from you

Is This A Good Question/Topic? 0
  • +

Replies To: issues in updating a mx-linux system

#2 Sheepings   User is offline

  • D.I.C Lover
  • member icon

Reputation: 267
  • View blog
  • Posts: 1,409
  • Joined: 05-December 13

Re: issues in updating a mx-linux system

Posted 26 January 2022 - 01:18 PM

Yes.

You are using a repository that isn't supported by the architectural system.
Was This Post Helpful? 1
  • +
  • -

#3 sayhello   User is offline

  • D.I.C Regular

Reputation: 8
  • View blog
  • Posts: 442
  • Joined: 12-November 17

Re: issues in updating a mx-linux system

Posted 28 January 2022 - 04:31 PM

hello and good day dear Sheepings,

first of all: many many thanks! glad to hear from you. :)/>

View PostSheepings, on 26 January 2022 - 08:18 PM, said:

Yes.

You are using a repository that isn't supported by the architectural system.



many thanks for your quick reply. Glad to hear from you.

the above mentioned report says that i386 architecture is not supported (any more) - so i am a bit lost.

Well in other words i guess that "VIVALDI does not exist in the arch linux official repo (pacman) but it does exist unofficial arch repo ".
cf here https://forum.vivald...l-arch-repo-aur


Well - hmmm well i think i have to do something.

well hmm what to do. Should i kick Vivaldi out of the system!?


Look forward to hear form you. Regards :)/>

This post has been edited by sayhello: 28 January 2022 - 04:32 PM

Was This Post Helpful? 0
  • +
  • -

#4 Sheepings   User is offline

  • D.I.C Lover
  • member icon

Reputation: 267
  • View blog
  • Posts: 1,409
  • Joined: 05-December 13

Re: issues in updating a mx-linux system

Posted 28 January 2022 - 05:09 PM

Of course. Remove any repo which hinders your system with broken packages. If a supporting repo exists and is compatible, then you can add the PPA. See their wiki on that : https://mxlinux.org/wiki/system/ and given that this is Debian based OS, you will find no shortage of command-line documentation should you prefer doing it with terminal.
Was This Post Helpful? 0
  • +
  • -

#5 jake19   User is offline

  • New D.I.C Head

Reputation: 1
  • View blog
  • Posts: 2
  • Joined: 30-August 18

Re: issues in updating a mx-linux system

Posted 08 February 2022 - 04:08 PM

View Postsayhello, on 28 January 2022 - 04:31 PM, said:

hello and good day dear Sheepings,

first of all: many many thanks! glad to hear from you. :)/>/>

View PostSheepings, on 26 January 2022 - 08:18 PM, said:

Yes.

You are using a repository that isn't supported by the architectural system.



many thanks for your quick reply. Glad to hear from you.

the above mentioned report says that i386 architecture is not supported (any more) - so i am a bit lost.

Well in other words i guess that "VIVALDI does not exist in the arch linux official repo (pacman) but it does exist unofficial arch repo ".
cf here https://forum.vivald...l-arch-repo-aur


Well - hmmm well i think i have to do something.

well hmm what to do. Should i kick Vivaldi out of the system!?


Look forward to hear form you. Regards :)/>/>

Probably should do what folks have been telling you since last year
https://forum.mxlinu...=662227#p662227
https://www.neowin.n...mment-598706856
Was This Post Helpful? 0
  • +
  • -

Page 1 of 1